Trying to compile Apache 1.3.27

Trying to compile Apache 1.3.27

Post by Greg DiFilip » Mon, 03 Feb 2003 03:46:21



Newbie trying to compile Apache 1.3.27 on Solaris 9.

I've been working through errors, but have hit a wall. I added the
path to 'make' and am now getting:

$ ./configure --with-layout=Apache
Configuring for Apache, Version 1.3.27
 + using installation path layout: Apache (config.layout)
Creating Makefile
Creating Configuration.apaci in src
Creating Makefile in src
 + configured for Solaris 290 platform
 + setting C pre-processor to /lib/cpp
 + checking for system header files
 + adding selected modules
 + using builtin Expat
 + checking sizeof various data types
 + doing sanity check on compiler and options
** A test compilation with your Makefile configuration
** failed.  The below error output from the compilation
** test will give you an idea what is failing. Note that
** Apache requires an ANSI C Compiler, such as gcc.

======== Error Output for sanity check ========
cd ..; /usr/local/bin  -DSOLARIS2=290 -DUSE_EXPAT -I./lib/expat-lite
-DNO_DL_NEEDED `./apaci`     -o helpers/dummy helpers/dummy.c  
-lsocket -lnsl -lpthread
sh: /usr/local/bin: cannot execute
*** Error code 1
make: Fatal error: Command failed for target `dummy'
============= End of Error Report =============

 Aborting!

Help and thanks in advance....

 
 
 

Trying to compile Apache 1.3.27

Post by ting » Mon, 03 Feb 2003 04:18:11


Try doing this as root.


Quote:> Newbie trying to compile Apache 1.3.27 on Solaris 9.

> I've been working through errors, but have hit a wall. I added the
> path to 'make' and am now getting:

> $ ./configure --with-layout=Apache
> Configuring for Apache, Version 1.3.27
>  + using installation path layout: Apache (config.layout)
> Creating Makefile
> Creating Configuration.apaci in src
> Creating Makefile in src
>  + configured for Solaris 290 platform
>  + setting C pre-processor to /lib/cpp
>  + checking for system header files
>  + adding selected modules
>  + using builtin Expat
>  + checking sizeof various data types
>  + doing sanity check on compiler and options
> ** A test compilation with your Makefile configuration
> ** failed.  The below error output from the compilation
> ** test will give you an idea what is failing. Note that
> ** Apache requires an ANSI C Compiler, such as gcc.

> ======== Error Output for sanity check ========
> cd ..; /usr/local/bin  -DSOLARIS2=290 -DUSE_EXPAT -I./lib/expat-lite
> -DNO_DL_NEEDED `./apaci`     -o helpers/dummy helpers/dummy.c
> -lsocket -lnsl -lpthread
> sh: /usr/local/bin: cannot execute
> *** Error code 1
> make: Fatal error: Command failed for target `dummy'
> ============= End of Error Report =============

>  Aborting!

> Help and thanks in advance....


 
 
 

Trying to compile Apache 1.3.27

Post by ger.. » Tue, 04 Feb 2003 01:01:14




Quote:> Newbie trying to compile Apache 1.3.27 on Solaris 9.

> I've been working through errors, but have hit a wall. I added the
> path to 'make' and am now getting:

There shouldnt be any errors once you have your PATH.
This should do:
PATH=/usr/xpg4/bin:/usr/ccs/bin:/usr/local/bin:$PATH
export PATH

Quote:> $ ./configure --with-layout=Apache

This is the default config...

Quote:> Configuring for Apache, Version 1.3.27
>  + using installation path layout: Apache (config.layout)
> Creating Makefile
> Creating Configuration.apaci in src
> Creating Makefile in src
>  + configured for Solaris 290 platform
>  + setting C pre-processor to /lib/cpp

Heres what I get:
Configuring for Apache, Version 1.3.27
 + using installation path layout: Apache (config.layout)
Creating Makefile
Creating Configuration.apaci in src
Creating Makefile in src
 + configured for Solaris 280 platform
 + setting C compiler to gcc
 + setting C pre-processor to gcc -E

Quote:> ** A test compilation with your Makefile configuration
> ** failed.  The below error output from the compilation
> ** test will give you an idea what is failing. Note that
> ** Apache requires an ANSI C Compiler, such as gcc.

You dont have gcc installed do you?
If www.blastwave.org has a gcc-3.2.x package I suggest using theirs.
Alternatively you can get gcc from sunfreeware.com. Version 2.95.3
 
 
 

Trying to compile Apache 1.3.27

Post by Neil » Tue, 04 Feb 2003 17:59:37



>You dont have gcc installed do you?
>If www.blastwave.org has a gcc-3.2.x package I suggest using theirs.
>Alternatively you can get gcc from sunfreeware.com. Version 2.95.3

and grab GNU make too and bin utils
 
 
 

Trying to compile Apache 1.3.27

Post by ger.. » Wed, 05 Feb 2003 00:53:57





>>You dont have gcc installed do you?
>>If www.blastwave.org has a gcc-3.2.x package I suggest using theirs.
>>Alternatively you can get gcc from sunfreeware.com. Version 2.95.3

> and grab GNU make too and bin utils

You dont need gmake to build Apache (but you will sooner or
later if you build other stuff..)
Eschew binutils. Thats why I suggested 2.95.3.
 
 
 

1. Trouble compiling apache 1.3.27 on windows 2000 with .NET

Hey gurus and non gurus,

I'm trying for the first time to install apache on windows, this is new for me
as I'm a unix guy. I purchased Microsoft's Visual C++ .NET to compile apache
with. After running the commands 'nmake /f Makefile.win _apacher' it goes
through what looks like the standard build, or so I'm assuming :/

What I'm looking for is how to configure this to install the things I want and
need, eg. mod_perl, mod_ssl, php, etc.

I have read the http://httpd.apache.org/docs/win_compiling.html but it does
not mention about modules :( From what I can tell this just builds a default
apache installation. To be precise what I need to compile for is php, MySQL,
Perl, and SSL, mainly.

Any help would be greatly appreciated.

Trell

2. POSIX or System V?

3. Compiling Apache 1.3.27+SSL on Solaris 2.8

4. Help with Exec

5. Problems compiling Apache 1.3.27

6. Hercules Monochrome - anyone still using it?

7. Apache 1.3.27 Binary files

8. where are the basic programs comes from?

9. using .htaccess files in apache 1.3.27 virtual dirs

10. apache 1.3.27 make errors

11. mod_dir to use hostname instead of ServerName (Apache 1.3.27)

12. Apache 1.3.27 + PHP + ISO-10646-UCS-4

13. Apache 1.3.27 & mod_rewrite problem.